# Full list of plays - not uploaded
CREATE TABLE `SPORTS_MLB_GAME_PLAYS` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `play_id` TINYINT(3) UNSIGNED NOT NULL,
  `inning` TINYINT(3) UNSIGNED NOT NULL,
  `half_inning` ENUM('top','bot') COLLATE latin1_general_ci NOT NULL,
  `batter_team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `batter` TINYINT(3) UNSIGNED NOT NULL,
  `pitcher_team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `pitcher` TINYINT(3) UNSIGNED NOT NULL,
  `on_base` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ob_1b` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ob_2b` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ob_3b` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `out` TINYINT(3) UNSIGNED NOT NULL,
  `scoring` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `home_score` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_score` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_winprob` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `visitor_winprob` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `change_winprob` DECIMAL(4,1) DEFAULT NULL,
  `description` VARCHAR(500) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`play_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_GAME_ATBAT` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `play_id` TINYINT(3) UNSIGNED NOT NULL,
  `batter_team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `batter` TINYINT(3) UNSIGNED NOT NULL,
  `pitcher_team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `pitcher` TINYINT(3) UNSIGNED NOT NULL,
  `balls` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `strikes` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `num_pitches` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `completed` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `result` ENUM('Balk','Batter Interference','Bunt Groundout','Bunt Lineout','Bunt Pop Out','Catcher Interference','Defensive Substitution','Double','Double Play','Error','Fan Interference','Field Error','Fielders Choice','Flyout','Forceout','Grounded Into Double Play','Groundout','Hit By Pitch','Home Run','Intentional Walk','Left On Base','Lineout','Not Completed','Offensive Substitution','Pitching Substitution','Pop Out','Runner Out','Runner Out (Double Play)','Sacrifice Bunt','Sacrifice Bunt (Double Play)','Sacrifice Fly','Sacrifice Fly (Double Play)','Single','Strikeout','Strikeout (Double Play)','Triple','Triple Play','Unknown','Walk','Wild Pitch') COLLATE latin1_general_ci NOT NULL,
  `hit_distance` SMALLINT(3) UNSIGNED DEFAULT NULL,
  `hit_fielder` ENUM('C','1B','2B','SS','3B','LF','LF-CF','CF','CF-RF','RF','P') COLLATE latin1_general_ci DEFAULT NULL,
  `hit_coordinateX` DECIMAL(5,2) UNSIGNED DEFAULT NULL,
  `hit_coordinateY` DECIMAL(5,2) UNSIGNED DEFAULT NULL,
  `hit_speed` DECIMAL(5,2) UNSIGNED DEFAULT NULL,
  `hit_angle` DECIMAL(4,2) DEFAULT NULL,
  `pitches` VARBINARY(1000) NOT NULL,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`play_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_GAME_ATBAT_FLAGS` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `play_id` TINYINT(3) UNSIGNED NOT NULL,
  `inning` TINYINT(3) UNSIGNED NOT NULL,
  `on_base` SET('1st','2nd','3rd') COLLATE latin1_general_ci NOT NULL DEFAULT '',
  `risp` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `out` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `counts` SET('0-0','1-0','2-0','3-0','4-0','0-1','1-1','2-1','3-1','4-1','0-2','1-2','2-2','3-2','4-2','0-3','1-3','2-3','3-3') COLLATE latin1_general_ci NOT NULL DEFAULT '0-0',
  `count_final` ENUM('0-0','1-0','2-0','3-0','4-0','0-1','1-1','2-1','3-1','4-1','0-2','1-2','2-2','3-2','4-2','0-3','1-3','2-3','3-3') COLLATE latin1_general_ci NOT NULL DEFAULT '0-0',
  `batting_order` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `batter_pos` ENUM('C','1B','2B','SS','3B','LF','CF','RF','DH','PH','PR','SP','RP','P') COLLATE latin1_general_ci NOT NULL,
  `pitcher_pitches` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `ab_pitches` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `batter` SMALLINT(5) UNSIGNED NOT NULL,
  `batter_hand` ENUM('L','R') COLLATE latin1_general_ci NOT NULL,
  `pitcher` SMALLINT(5) UNSIGNED NOT NULL,
  `pitcher_hand` ENUM('L','R') COLLATE latin1_general_ci NOT NULL,
  `sp_rp` ENUM('SP','RP') COLLATE latin1_general_ci NOT NULL,
  `is_pa` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_ab` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_obp_evt` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_hit` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_bb` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_ibb` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_hbp` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_out` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `is_k` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `zone` ENUM('OTL','OTR','ITL','ITC','ITR','IML','IMC','IMR','IBL','IBC','IBR','OBL','OBR') COLLATE latin1_general_ci DEFAULT NULL,
  `spray` ENUM('F','L','L-C','C','C-R','R') COLLATE latin1_general_ci DEFAULT NULL,
  `tb` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `rbi` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`play_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_GAME_ATBAT_PITCHES` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `play_id` TINYINT(3) UNSIGNED NOT NULL,
  `num` TINYINT(2) UNSIGNED NOT NULL,
  `pitch` ENUM('AB','CH','CS','CU','EP','FA','FC','FF','FO','FS','FT','IN','KC','KN','PO','SC','SI','SL','ST','SV','UN') COLLATE latin1_general_ci DEFAULT NULL,
  `speed` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `call` ENUM('B','S','F','X') COLLATE latin1_general_ci NOT NULL,
  `result` ENUM('Automatic Ball','Automatic Strike','Ball','Ball In Dirt','Called Strike','Foul','Foul (Runner Going)','Foul Bunt','Foul Pitchout','Foul Tip','Hit By Pitch','In Play','Intentional Ball','Missed Bunt','Pitchout','Swinging Pitchout','Swinging Strike','Unknown Strike') COLLATE latin1_general_ci DEFAULT NULL,
  `balls` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `strikes` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `zone` ENUM('OTL','OTR','ITL','ITC','ITR','IML','IMC','IMR','IBL','IBC','IBR','OBL','OBR') COLLATE latin1_general_ci DEFAULT NULL,
  `pitch_x` DECIMAL(5,3) DEFAULT NULL,
  `pitch_y` DECIMAL(5,3) DEFAULT NULL,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`play_id`,`num`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

# Scoring plays only - uploaded
CREATE TABLE `SPORTS_MLB_GAME_SCORING` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `play_id` TINYINT(3) UNSIGNED NOT NULL,
  `inning` TINYINT(3) UNSIGNED NOT NULL,
  `half_inning` ENUM('top','bot') COLLATE latin1_general_ci NOT NULL,
  `batter_team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `batter` TINYINT(3) UNSIGNED NOT NULL,
  `pitcher_team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `pitcher` TINYINT(3) UNSIGNED NOT NULL,
  `on_base` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ob_1b` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ob_2b` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ob_3b` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `out` TINYINT(3) UNSIGNED NOT NULL,
  `home_score` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_score` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_winprob` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `visitor_winprob` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `change_winprob` DECIMAL(4,1) DEFAULT NULL,
  `description` VARCHAR(500) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`season`,`game_type`,`game_id`,`play_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_GAME_WINPROB` (
  `season` YEAR NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `winprob` VARBINARY(5000),
  PRIMARY KEY (`season`,`game_type`,`game_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
